Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000155Scorched3DGeneralpublic2012-04-02 03:252012-06-05 23:56
Reporterh3xx 
Assigned Togcamp 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version43.4 
Summary0000155: [PATCH] Fix wxWindows 2.6 compatibility
DescriptionThis patch makes the source 100% compatible with the wxWindows 2.6 API instead of relying on depreciated 2.6 elements.
Steps To Reproduce1. Install wxWindows 2.8+ WITHOUT 2.6 API compatibility enabled (--disable-compat26 compile flag).
2. Attempt to compile Scorched3d.
Additional InformationError messages produced in "steps" section:

../wxdialogs/DisplayDialog.cpp: In member function 'void DisplayFrame::onExportMod(wxCommandEvent&)':
../wxdialogs/DisplayDialog.cpp:736:3: error: 'wxSAVE' was not declared in this scope
../wxdialogs/DisplayDialog.cpp: In member function 'void DisplayFrame::onImportMod(wxCommandEvent&)':
../wxdialogs/DisplayDialog.cpp:760:3: error: 'wxOPEN' was not declared in this scope
../wxdialogs/DisplayDialog.cpp:760:12: error: 'wxFILE_MUST_EXIST' was not declared in this scope
TagsNo tags attached.
Attached Filespatch file icon scorched-svn_wxgtk_2.6_compat_fix.patch [^] (1,376 bytes) 2012-04-02 03:25 [Show Content]

- Relationships

-  Notes
(0000223)
gcamp (administrator)
2012-06-05 23:56

Thanks, this will be resolved in the next release.

- Issue History
Date Modified Username Field Change
2012-04-02 03:25 h3xx New Issue
2012-04-02 03:25 h3xx File Added: scorched-svn_wxgtk_2.6_compat_fix.patch
2012-04-02 03:29 h3xx Issue Monitored: h3xx
2012-06-05 23:56 gcamp Note Added: 0000223
2012-06-05 23:56 gcamp Status new => resolved
2012-06-05 23:56 gcamp Fixed in Version => 43.4
2012-06-05 23:56 gcamp Resolution open => fixed
2012-06-05 23:56 gcamp Assigned To => gcamp


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker